import App from './App'

// #ifndef VUE3
import Vue from 'vue'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
	...App
})
app.$mount()
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
export function createApp() {
	const app = createSSRApp(App)
	return {
		app
	}
}
// #endif



// main.js
import uView from "uview-ui";
Vue.use(uView);


import util from "@/utils/util";
import moment from 'moment';
moment.locale('zh-cn', {
	weekdays: '周日_周一_周二_周三_周四_周五_周六'.split('_')
})
Vue.prototype.util = util;
Vue.prototype.$moment = moment;

// main.js
import Plate from '@/components/plate/index.vue' // 注意路径是否正确（建议用绝对路径）

// 全局注册：第一个参数是组件标签名（需与页面中使用的 <plate> 一致）
Vue.component('plate', Plate)
